HASHER2(1)

NAME
hasher2 - block based hashing utility

SYNOPSIS
hasher2 [-h] [-V] [-a algorithm] [-b size] [-s string] [[file] ...]

DESCRIPTION
This program is part of the radare project.

Hasher allows you to calculate, check and show the hash values of each block of a target file. The block size is 32768 bytes by default. It's allowed to hash from stdin using '-' as a target file.

You can hash big files by hashing each block and later determine what part of it has been modified. Useful for filesystem analysis.

This command can be used to calculate hashes of a certain part of a file or a command line passed string.

This is the command used by the '#' command of radare.

-a algo
    Select an algorithm for the hashing. Valid values are md5, crc32 and sha1

-s string
    Hash this string instead of using the 'source' and 'hash-file' arguments.

-b block size
    Define the block size

-V  Verbose output.

-h  Show usage help message.

SEE ALSO

radare2(1), rafind2(1), rahash2(1), rabin2(1), ranal2(1), radiff2(1), rasm2(1), rarc2(1), rarc2-tool(1), rasc2(1), rax2(1),

AUTHORS

pancake <pancake@nopcode.org>, nibble <nibble@develsec.org>